Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionLogDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceSession>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionLogDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

Direct Known Subclasses:
  `VoiceSessionDao`

    public class VoiceSessionLogDao
    extends ru.bitel.common.dao.AbstractDao<VoiceSession>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static org.apache.logging.log4j.Logger` | `logger` |
  `static java.lang.String` | `TABLE_VOICE_SESSION_LOG` |

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `VoiceSessionLogDao​(java.sql.Connection con, int mid, java.lang.String tableName)` |
  `` | `VoiceSessionLogDao​(java.sql.Connection con, int mid, java.util.Date date)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `checkTables​(java.sql.Connection con, int moduleId, java.util.Date date)` |
  `void` | `deleteSessions​(int divizer, int remainder, java.util.Date hour, int deviceId)` |
  `void` | `deleteSessions​(java.time.LocalDate day, int deviceId)` |
  `void` | `deleteSessions​(java.util.Date hour, int deviceId)` |
  `VoiceSession` | `get​(long id)` |
  `SessionAccountAmount` | `getContractSums​(VoiceSessionFilter filter)` | Получение отфильтрованного списка сессий.
  `java.util.Map<java.lang.String,​SessionDetail>` | `getDetailSumValues​(VoiceSessionFilter filter)` |
  `protected java.lang.String` | `getFieldPart()` |
  `protected VoiceSession` | `getFromRS​(java.sql.ResultSet rs)` |
  `static VoiceSession` | `getSessionFromRs​(java.sql.ResultSet rs)` |
  `java.util.List<SessionDetail<SessionDetail<SessionDetailReportItem>>>` | `getSessionsDetail​(VoiceSessionFilter filter, Page page)` |
  `java.util.List<SessionAccountReportItem>` | `getSessionsGroupedByAccount​(VoiceSessionFilter filter)` |
  `java.util.List<SessionDestinationReportItem>` | `getSessionsGroupedByAccountAndDestination​(VoiceSessionFilter filter)` |
  `java.util.List<SessionServiceReportItem>` | `getSessionsGroupedByAccountAndService​(VoiceSessionFilter filter)` |
  `void` | `insertSessions​(java.util.List<VoiceSession> sessions)` |
  `java.util.List<VoiceSession>` | `list()` |
  `java.util.List<VoiceSession>` | `list​(VoiceSessionFilter filter, Page page, boolean loadSessionAccount)` |
  `protected int` | `setPsParams​(VoiceSession session, java.sql.PreparedStatement ps, int idx)` |
  `protected void` | `updateImpl​(VoiceSession session)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected static final org.apache.logging.log4j.Logger logger

  - ### TABLE_VOICE_SESSION_LOG

    public static final java.lang.String TABLE_VOICE_SESSION_LOG
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### VoiceSessionLogDao

    public VoiceSessionLogDao​(java.sql.Connection con, int mid, java.util.Date date)

  - ### VoiceSessionLogDao

    protected VoiceSessionLogDao​(java.sql.Connection con, int mid, java.lang.String tableName)

- ## Method Details

  - ### getFromRS

    protected VoiceSession getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionFromRs

    public static VoiceSession getSessionFromRs​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateImpl

    protected void updateImpl​(VoiceSession session) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFieldPart

    protected java.lang.String getFieldPart()

  - ### setPsParams

    protected int setPsParams​(VoiceSession session, java.sql.PreparedStatement ps, int idx) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getContractSums

    public SessionAccountAmount getContractSums​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Получение отфильтрованного списка сессий.
    Parameters:
      `filter` - фильтр
    Returns:
      отфильтрованный список сессий
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccount

    public java.util.List<SessionAccountReportItem> getSessionsGroupedByAccount​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccountAndDestination

    public java.util.List<SessionDestinationReportItem> getSessionsGroupedByAccountAndDestination​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccountAndService

    public java.util.List<SessionServiceReportItem> getSessionsGroupedByAccountAndService​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsDetail

    public java.util.List<SessionDetail<SessionDetail<SessionDetailReportItem>>> getSessionsDetail​(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDetailSumValues

    public java.util.Map<java.lang.String,​SessionDetail> getDetailSumValues​(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<VoiceSession> list​(VoiceSessionFilter filter, Page page, boolean loadSessionAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTables

    public static void checkTables​(java.sql.Connection con, int moduleId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### insertSessions

    public void insertSessions​(java.util.List<VoiceSession> sessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions​(java.time.LocalDate day, int deviceId) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions​(java.util.Date hour, int deviceId) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions​(int divizer, int remainder, java.util.Date hour, int deviceId) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<VoiceSession> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public VoiceSession get​(long id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`